Search exercises by lookup keys
curl --request POST \
--url https://partner-api.ochy-prod.com/exercises \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"language": "en",
"search_keys": [
"HeadG",
"PelvicB"
]
}
'import requests
url = "https://partner-api.ochy-prod.com/exercises"
payload = {
"language": "en",
"search_keys": ["HeadG", "PelvicB"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({language: 'en', search_keys: ['HeadG', 'PelvicB']})
};
fetch('https://partner-api.ochy-prod.com/exercises', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"lookup_keys": [
"PelvicB",
"HeadG"
],
"difficulty": "easy",
"effort_per_rep": {
"max_ms": 15000,
"min_ms": 10000
},
"exercise_format": "duration",
"kind": "exercise",
"media": {
"image": "https://firebasestorage.googleapis.com/v0/b/ochy-7871a.appspot.com/o/assets%2Fexercises%2Fexample.png?alt=media",
"video": "https://firebasestorage.googleapis.com/v0/b/ochy-7871a.appspot.com/o/assets%2Fexercises%2Fexample.mp4?alt=media"
},
"number_of_series": 4,
"title": "Wall Assist Stork Balance"
}
]{
"detail": "search_keys must contain at least one value",
"code": "search_keys_empty"
}{
"detail": "API Key is missing"
}{
"detail": "API Key is missing"
}{
"detail": "No exercises found for the given search keys",
"code": "no_exercises_found"
}{
"detail": "Internal server error",
"code": "insufficient_api_credits"
}Exercises
Search exercises by lookup keys
Returns exercises whose lookup_keys contain at least one of the requested
search_keys. Use the same values as search_key in analysis results
(Search key mapping).
POST
/
exercises
Search exercises by lookup keys
curl --request POST \
--url https://partner-api.ochy-prod.com/exercises \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"language": "en",
"search_keys": [
"HeadG",
"PelvicB"
]
}
'import requests
url = "https://partner-api.ochy-prod.com/exercises"
payload = {
"language": "en",
"search_keys": ["HeadG", "PelvicB"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({language: 'en', search_keys: ['HeadG', 'PelvicB']})
};
fetch('https://partner-api.ochy-prod.com/exercises', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"lookup_keys": [
"PelvicB",
"HeadG"
],
"difficulty": "easy",
"effort_per_rep": {
"max_ms": 15000,
"min_ms": 10000
},
"exercise_format": "duration",
"kind": "exercise",
"media": {
"image": "https://firebasestorage.googleapis.com/v0/b/ochy-7871a.appspot.com/o/assets%2Fexercises%2Fexample.png?alt=media",
"video": "https://firebasestorage.googleapis.com/v0/b/ochy-7871a.appspot.com/o/assets%2Fexercises%2Fexample.mp4?alt=media"
},
"number_of_series": 4,
"title": "Wall Assist Stork Balance"
}
]{
"detail": "search_keys must contain at least one value",
"code": "search_keys_empty"
}{
"detail": "API Key is missing"
}{
"detail": "API Key is missing"
}{
"detail": "No exercises found for the given search keys",
"code": "no_exercises_found"
}{
"detail": "Internal server error",
"code": "insufficient_api_credits"
}Authorizations
bearerAuthapiKeyHeaderapiKeyQuery
Recommended. Pass your API key as a Bearer token in the Authorization header: Authorization: Bearer YOUR_API_KEY.
Body
application/json
Response
Matching exercises.
Unique exercise identifier (UUID).
Lookup keys used to match this exercise (same values as search_key in analysis results).
Example:
"exercise"
Example:
"easy"
Available options:
duration, repetitions Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes